### Method

# Gsk PathBuilderhtml_arc_to

since: 4.14

#### Declaration [src]

    void
    gsk_path_builder_html_arc_to (
      GskPathBuilder* self,
      float x1,
      float y1,
      float x2,
      float y2,
      float radius
    )

#### Description [src]

Implements arc-to according to the HTML Canvas spec.

A convenience function that implements the HTML arc_to functionality.

After this, the current point will be the point where the circle with the given radius touches the line from `x1`, `y1` to `x2`, `y2`.

Available since: 4.14

#### Parameters

`x1`

  Type: `float`

  X coordinate of first control point.

`y1`

  Type: `float`

  Y coordinate of first control point.

`x2`

  Type: `float`

  X coordinate of second control point.

`y2`

  Type: `float`

  Y coordinate of second control point.

`radius`

  Type: `float`

  Radius of the circle.